# Energesis LM35

![Hex.pm](https://img.shields.io/hexpm/l/plug)  [![PlatformIO Registry](https://badges.registry.platformio.org/packages/energesis-ingenieria/library/Energesis%20LM35.svg)](https://registry.platformio.org/libraries/energesis-ingenieria/Energesis%20LM35) [![GitHub Release](https://img.shields.io/github/release/Energesis-Ingenieria/Energesis_LM35.svg?style=flat)]() ![GitHub all releases](https://img.shields.io/github/downloads/Energesis-Ingenieria/Energesis_LM35/total)  ![GitHub watchers](https://img.shields.io/github/watchers/Energesis-Ingenieria/Energesis_LM35) ![GitHub code size in bytes](https://img.shields.io/github/languages/code-size/Energesis-Ingenieria/Energesis_LM35)



## About the LM35

The LM35 series are precision integrated-circuit temperature devices with an output voltage linearly proportional to the Centigrade temperature. 
The LM35 device does not require any external calibration or trimming to provide typical accuracies of &#177;1/4&deg;C at room temperature and &#177;3/4&deg;C over a full -55°C to 150°C temperature range.

More information can be found in the datasheet: https://www.ti.com/lit/ds/symlink/lm35.pdf


## How to use it?

 - See example [LM35 Basic](examples/LM35_basic/LM35_basic.ino) for regular use of sensor.

 - See example [LM35 Generic](examples/LM35_generic/LM35_generic.ino) for use as Energesis_Sensor instance. This example shows the use of the sensor with a generic interface.

## License
This project is under Apache 2.0 license. See [LICENSE](LICENSE) for more details.
